function VarName1 = importfile(filename, dataLines)
%IMPORTFILE1 テキスト ファイルからデータをインポート
%  VARNAME1 = IMPORTFILE1(FILENAME) は既定の選択に関してテキスト ファイル FILENAME
%  からデータを読み取ります。  データを列ベクトルとして返します。
%
%  VARNAME1 = IMPORTFILE1(FILE, DATALINES) はテキスト ファイル FILENAME
%  の指定された行区間のデータを読み取ります。DATALINES
%  を正の整数スカラーとして指定するか、行区間が不連続の場合は正の整数スカラーからなる N 行 2 列の配列として指定します。
%
%  例:
%  VarName1 = importfile1("C:\Users\hyoshino\OneDrive - MathWorks\Shared with Everyone\2023_AI_MO\230213_Statistical_Tests\machineData.csv", [1, Inf]);
%
%  READTABLE も参照してください。
%
% MATLAB からの自動生成日: 2023-03-10 21:46:10

%% 入力の取り扱い

% dataLines が指定されていない場合、既定値を定義します
if nargin < 2
    dataLines = [1, Inf];
end

%% インポート オプションの設定およびデータのインポート
opts = delimitedTextImportOptions("NumVariables", 1);

% 範囲と区切り記号の指定
opts.DataLines = dataLines;
opts.Delimiter = ",";

% 列名と型の指定
opts.VariableNames = "VarName1";
opts.VariableTypes = "double";

% ファイル レベルのプロパティを指定
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% データのインポート
tbl = readtable(filename, opts);

%% 出力型への変換
VarName1 = tbl.VarName1;
end